{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates repositories according to the list of repositories that organization admins have given Dependabot access to when they've updated dependencies.\n\n> [!NOTE]\n>    This operation supports both server-to-server and user-to-server access.\nUnauthorized users will not see the existence of this endpoint.\n\nOAuth app tokens and personal access tokens (classic) need the `write:org` scope to use this endpoint.\n\n**Example request body:**\n```json\n{\n  \"repository_ids_to_add\": [123, 456],\n  \"repository_ids_to_remove\": [789]\n}\n```","properties":{"path":{"type":"object","properties":{"org":{"type":"string","description":"The organization name. The name is not case sensitive."}},"required":["org"],"additionalProperties":false},"body":{"type":"object","properties":{"repository_ids_to_add":{"type":"array","items":{"type":"integer"},"description":"List of repository IDs to add."},"repository_ids_to_remove":{"type":"array","items":{"type":"integer"},"description":"List of repository IDs to remove."}},"examples":[{"repository_ids_to_add":[123,456]}]}},"required":["path","body"],"additionalProperties":false},"name":"Updates Dependabot's repository access list for an organization","id":"github.dependabot.update-repository-access-for-org","example":{"path":{"org":"example"},"body":{"repository_ids_to_add":[123,456]}},"maxRequests":1,"summary":false}}